// Code generated by Kitex v1.9.3. DO NOT EDIT.

package demoapiservice

import (
	"code.byted.org/kite/kitex/byted"
	"code.byted.org/kite/kitex/server"
	"code.byted.org/libo.1220/libo.1220_api/kitex_gen/motor/ad/libo_api"
)

// NewInvoker creates a server.Invoker with the given handler and options.
func NewInvoker(handler libo_api.DemoApiService, opts ...server.Option) server.Invoker {
	var options []server.Option

	options = append(options, byted.InvokeSuite(serviceInfo()))

	options = append(options, opts...)

	s := server.NewInvoker(options...)
	if err := s.RegisterService(serviceInfo(), handler); err != nil {
		panic(err)
	}
	if err := s.Init(); err != nil {
		panic(err)
	}
	return s
}

// NewInvokerWithBytedConfig creates a server.Invoker with the given handler and options.
func NewInvokerWithBytedConfig(handler libo_api.DemoApiService, config *byted.ServerConfig, opts ...server.Option) server.Invoker {
	var options []server.Option
	options = append(options, byted.InvokeSuiteWithConfig(serviceInfo(), config))
	options = append(options, opts...)

	s := server.NewInvoker(options...)
	if err := s.RegisterService(serviceInfo(), handler); err != nil {
		panic(err)
	}
	if err := s.Init(); err != nil {
		panic(err)
	}
	return s
}
